Skip to content
Home » Google Coding Interview With A Competitive Programmer | ความรู้ทั่วไปทางธุรกิจ

Google Coding Interview With A Competitive Programmer | ความรู้ทั่วไปทางธุรกิจ

คุณกำลังพยายามหาข้อมูลเกี่ยวกับหัวข้อการหาเงินออนไลน์หรือไม่? คุณกำลังมองหาหัวข้อที่เหมาะสม Google Coding Interview With A Competitive Programmer หรือไม่? ถ้าเป็นเช่นนั้นโปรดอ่านบทความนี้ทันที.

Google Coding Interview With A Competitive Programmer | เฉลย programming.

[button color=”primary” size=”small” link=”#” icon=”” target=”false” nofollow=”true”]ดูวิดีโอโดยละเอียดด้านล่าง[/button]

รูปภาพที่เกี่ยวข้องกับหัวข้อ เฉลย programming.

Google Coding Interview With A Competitive Programmer

Google Coding Interview With A Competitive Programmer

ความรู้ทั่วไปเกี่ยวกับการลงทุน, ดูรายละเอียดที่นี่ : https://brokengroundgame.com/business-investment/.

ข้อมูลที่เกี่ยวข้องกับหัวข้อ เฉลย programming.

ในวิดีโอนี้ ฉันทำการสัมภาษณ์เกี่ยวกับการเขียนโปรแกรม Google จำลองกับ Errichto ซึ่งเป็นโปรแกรมเมอร์ที่มีการแข่งขันสูง ในฐานะวิศวกรซอฟต์แวร์ของ Google ฉันได้สัมภาษณ์ผู้สมัครหลายสิบคน นี่คือการสัมภาษณ์แบบเข้ารหัสที่คุณจะได้รับจาก Google หรือบริษัทเทคโนโลยีรายใหญ่อื่นๆ ดูวิดีโอที่เราทำในช่องของ Errichto: กำลังเตรียมบทสัมภาษณ์เกี่ยวกับการเข้ารหัสหรือไม่ ฝึกฝนด้วยวิดีโอคำอธิบาย 77 รายการของคำถามสัมภาษณ์ยอดนิยมและพื้นที่ทำงานเขียนโค้ดเต็มรูปแบบบน AlgoExpert: (ใช้รหัสโปรโมชัน “clem” เพื่อรับส่วนลด!) ..

https://brokengroundgame.com/ หวังว่าข้อมูลในบทความนี้จะมีคุณค่ามากสำหรับคุณ. ขอแสดงความนับถือ.

การค้นหาที่เกี่ยวข้องกับหัวข้อGoogle Coding Interview With A Competitive Programmer.

เฉลย programming

Google Coding Interview With A Competitive Programmer

google coding interview,google coding interview questions,google coding interview preparation,coding interview google,coding interview,coding interview questions and answers,mock coding interview,facebook coding interview,amazon coding interview,technical interview with a google engineer,interviewing.io,Errichto,errichto interview,algorithm interview questions,google coding interview python,real coding interview,google software engineer interview,AlgoExpert,Joma

#Google #Coding #Interview #Competitive #Programmer

38 thoughts on “Google Coding Interview With A Competitive Programmer | ความรู้ทั่วไปทางธุรกิจ”

  1. If Errichto is not hired by Google yet, I think I will have to reconsider my career choices. He is too intelligent that his brain works faster than his speech.

  2. Damn in 30:20 the solution would've been as simple as changing a few arguments in the first algorithm. Instead of creating a hash map of middle points, the hash map would consist of the middle points and the length, and the same way they counted all possible rectangles in a row this would work as well.

  3. There is a simple way to reduce the second problem to the first. Considering pair a, b apply rotation from the origin to an angle such that vector ab becomes paralel to oX then store the angle in the hashmap too.

  4. Im currently finishing my Master degree in Systems Engineering and I will have to look for a job after next year, and seeing this video makes me super anxious because I think I dont know anything valuable enough to get a job atm

  5. For the second one I like the idea of creating a hash table and throwing line segments with the same slope all under one key. Then we can check perpendicular slopes. Two lines are perpendicular if one is the negative reciprocal of the other, like n and -1/n. Maybe there’s a way to do this using the hash table without going too far past O(n^2) time.

  6. I think with solution 2 you should get a complexity of N^2+N.

    Finding the center of diagonal is smart as all points of the rectangle will be equidistant.
    From A and C you can guess all possible B and D.

  7. For the diamond problem would interating over a matrix of 3×3 then determining that only 1 diamond could be formed in such an area be useful as I could see that would be a linear time complexity. As the area can only contain 1 diamond meaning for every 3×3 area 1 result is the case. If more points were added for each y row to the left or right as soon as 3 more were added another diamond would exist allowing for 2 diamonds in a 3×4 area.

  8. I'm not really a programmer just an engineer, so correct me if I'm wrong.
    I feel there is a very beautiful solution for the general case, similar to his 2nd proposed solution. You always get a rectangle if the middle points of the diagonals meet at the same point and the diagonals have the same length. So can't I just do the following? Iterate through all pairs of points and find their distances (distances squared should also suffice, so no roots would need to be computed) and middle points. Then count those number of triples (xm, ym, dist[or dist squared]) or rather the number of combinations of triples, similar how he did it for the "easy" version.

    Would this work? What would the time complexity? Isn't it also N*N*log(N)?

  9. rotating 90º is exchange x by y and put one negative. if you double de "vector" size it will rotate 45º (I say vector because you now you must put the rectangle on the origin)

  10. Wont the first solution until 20 mins which counts vertical lines fail if we have 6 points, ie. add two points to the right?

    We would have 3 small rectangles with (1234), (3456), (5678) one huge rectangle (1278) and two other rectangles (1256) and (3478) which gives us a total of 6 rectangles.

    But the first solution just counts vertical lines with same y and y_above coordinates which would give the answer as 4?

  11. The diagonal problem I think can be solved in O(n^2) by keeping track of both the middle point and length between each unique point pair in a hash map. Then you can count similarly to the solution of the first problem (don't count first occurrence).

  12. Diagonals of a rectangle, besides bisecting each other, should have the same length as well. Maybe a more complex form of the first part could be a solution to the second part?

Leave a Reply

Your email address will not be published. Required fields are marked *